#
# spec file for package perl-Test-Deep
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Deep
Version:        0.112
Release:        6.3
%define cpan_name Test-Deep
Summary:        Extremely flexible deep comparison
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Deep/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::NoWarnings) >= 0.02
BuildRequires:  perl(Test::Tester) >= 0.04
#BuildRequires: perl(A)
#BuildRequires: perl(Test::Deep)
#BuildRequires: perl(Test::Deep::Array)
#BuildRequires: perl(Test::Deep::Cache)
#BuildRequires: perl(Test::Deep::Cache::Simple)
#BuildRequires: perl(Test::Deep::Class)
#BuildRequires: perl(Test::Deep::Cmp)
#BuildRequires: perl(Test::Deep::Hash)
#BuildRequires: perl(Test::Deep::HashElements)
#BuildRequires: perl(Test::Deep::HashKeys)
#BuildRequires: perl(Test::Deep::HashKeysOnly)
#BuildRequires: perl(Test::Deep::Methods)
#BuildRequires: perl(Test::Deep::MM)
#BuildRequires: perl(Test::Deep::NoTest)
#BuildRequires: perl(Test::Deep::Ref)
#BuildRequires: perl(Test::Deep::RegexpMatches)
#BuildRequires: perl(Test::Deep::RegexpVersion)
#BuildRequires: perl(Test::Deep::Set)
#BuildRequires: perl(Test::Deep::Stack)
#BuildRequires: perl(t::std)
Requires:       perl(Test::NoWarnings) >= 0.02
Requires:       perl(Test::Tester) >= 0.04
%{perl_requires}

%description
If you don't know anything about automated testing in Perl then you should
probably read about Test::Simple and Test::More before preceding.
Test::Deep uses the Test::Builder framework.

Test::Deep gives you very flexible ways to check that the result you got is
the result you were expecting. At it's simplest it compares two structures
by going through each level, ensuring that the values match, that arrays
and hashes have the same elements and that references are blessed into the
correct class. It also handles circular data structures without getting
caught in an infinite loop.

Where it becomes more interesting is in allowing you to do something
besides simple exact comparisons. With strings, the 'eq' operator checks
that 2 strings are exactly equal but sometimes that's not what you want.
When you don't know exactly what the string should be but you do know some
things about how it should look, 'eq' is no good and you must use pattern
matching instead. Test::Deep provides pattern matching for complex data
structures

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README TODO

%changelog
* Mon Dec  9 2013 coolo@suse.com
- updated to 0.112
  - rebuild MANIFEST, adding two forgotten files
  - When printing diagnostics, differentiate the type of a blessed object
    from the name of the class itself (RT#78288, caused by changes to how
    blessed objects are treated in 0.109) (thanks, Karen Etheridge)
  - Typo fixes (thanks, David Steinbrunner)
  - Fixes to clarity and accuracy of documentation (thanks, Michael Hamlin)
  - Add metadata links to repo and issue tracker
  - Added obj_isa for testing ->isa without falling back to ref($x)
  - Added the *experimental* ":v1" export group to skip importing
    Isa, isa, and blessed
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.110
    Allow methods() and listmethods() to work again on class methods
    (RT#77804) (thanks, Ricardo Signes!)
* Mon Feb 20 2012 coolo@suse.com
- updated to 0.109
    UNIVERSAL::isa and UNIVERAL::can are no longer called as functions:
    this was deprecated in UNIVERSAL 1.03. (RT#74760, Karen Etheridge)
    the code that builds the exporter configuration is cleaned up; more
    documentation of how it may change (for the better, without breaking
    stuff) should appear in the near future
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Oct 16 2010 chris@computersalat.de
- update to 0.108
  o simple (stringwise) comparison should now be much faster
    (thanks, NCLEATON)
- fix deps
* Thu Sep 30 2010 chris@computersalat.de
- update to 0.107
  o New maintainer:  Ricardo Signes (rjbs)
  o On 5.10.0 and newer perl, install to the "site" directory, not the
    core perl directory in @INC.  (Prior to 5.10.0, @INC ordering was
    unfortunate, and fixing the install target would make upgrading
    difficult.)
  o cope with new stringification of qr{} objects in 5.13.x+ (thanks,
    ANDK)
  o fix Pod escaping errors (thanks, FWIE)
- noarch pkg
- recreated by cpanspec 1.78
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Sep  7 2009 mls@suse.de
- update to 0.106 to make it build with perl-5.10.1
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 20 2009 chris@computersalat.de
- initial obs package 0.104
